function [DObj,IObj]=tek210init
% Create a VISA-USB object.


IObj=instrfind('Type','visa-usb');
%Rsname=get(IObj,'RsrcName');
%IObj = instrfind('Type', 'visa-usb', 'RsrcName', Rsname, 'Tag', '');



%   Need a way to check if that instrument is the one I want.

% Create the VISA-USB object if it does not exist
% otherwise use the object that was found.
if isempty(IObj)
    a=instrhwinfo('visa','ni');
    IObj =  eval(a.ObjectConstructorName{1}); % IObj=visa('NI', Rsname);
else
    fclose(IObj);
    IObj = IObj(1);
end

% Create a device object. 

DObj = icdevice('tektronix_tds210.mdd', IObj);

% Connect device object to hardware.
connect(DObj);

get1=get(DObj,'InstrumentModel');

if ~strcmp('TEKTRONIX,TDS 210',get1(1:19)); 
    disconnect(DObj);
    fprintf(1,'Wronge instrument: %s\n',get1);
    DObj=[];
else
%    fprintf(1,'OK %s\n',get1);
end





