function [x,y,xunits,yunits]=tek210read(deviceObj)
%[x,y,xunits,yunits]=tekread(deviceObj,iflag)
%   must initi instrument first or if deviceObj is empty or not there will init
%  and then disconcet


if nargin<1 || isempty(deviceObj);
    deviceObj=tek210init;
    iflag=-1;
end

% Execute device read waveform function.
groupObj = get(deviceObj, 'Waveform');
%groupObj = groupObj(1);
[y,x,yunits,xunits] = invoke(groupObj(1), 'readwaveform', 'channel1');

if iflag==-1;
    % Disconnect device object from hardware.
%    disp('disconnect');
    disconnect(deviceObj);
end

